/****************************************************************************
 * (c) 2018 softwareentwicklung-als-prozess.de
 * Funktionalitaet:
 * Temperatur messen
 ***************************************************************************/
// Includes -----------------------------------------------------------------
#include <arduino.h>
#include "tmess.h"

// Defines ------------------------------------------------------------------
#define NORMAL 31

// Variablen ----------------------------------------------------------------

// interne Prototypen -------------------------------------------------------
static int SystemTemperatur(void);

// Funktionen ---------------------------------------------------------------
TempStatus SystemTemperaturUeberwachung(void)
{
  int temp = 0;
  TempStatus retval = ok;

  temp = SystemTemperatur();
  if (temp < NORMAL)
  {
    retval = ok;
  }
  else
  {
    retval = zuheiss;
  }
  return(retval);
}

static int SystemTemperatur(void)
{
  int temperatur = 0;
  int t_read = 0;
  
  t_read = analogRead(A4);
  temperatur = map(t_read, 0, 1023, 0, 100); // LM35DZ = 0 bis 100 Grad Celsius
  delay(500);                                // Nach jeder Messung eine Pause
  Serial.print(t_read);
  Serial.println(" Sensorwert");
  Serial.print(temperatur);
  Serial.println(" Grad Celsius");
  return(temperatur);
}
